<?PHP 
$catX=0;
$siteLinkX="";
$savefileX="./../".$SYSD."/".$filename2."-navlistE.inc.php";
if (file_exists($savefileX)){unlink($savefileX);}

$handle=opendir($exC."/data-sites/");
while ($resultX=readdir ($handle)){
$arrX[]=$resultX;
}
closedir($handle);
natcasesort ($arrX);
foreach($arrX as $value)
if($value != '.' && $value != '..' && $value != 'imprint.inc.php' && $value != 'privacy.inc.php' && $value != 'terms.inc.php' && $value != 'contact.inc.php' && $value != 'contactsend.inc.php' && $value != '404-error.inc.php')
{
include($exC."/data-sites/".$value);

if($catX == 0){
$resultDataX="<option value='".$siteLinkX."'>".$siteLinkX."</option>";

$handle=fopen($savefileX, "a+");
fwrite($handle,$resultDataX."\n");
fclose($handle);
$oldumask = umask(0);
chmod($savefileX, 0644);
umask($oldumask);
}

}
?>